Subject: [PATCH] arm: Add basic support for new Marvell Armada SoC family

From: [email-masked] (Andrew Lunn)
Date: Mon, 21 May 2012 11:40:52 +0200

> Personally, my view is leave it alone and just add a new machine
> directory.
> 
> Pushing items around doesn't really help the amount of code in the
> kernel, the organisation does not add more than a line or two to the
> Makefiles.

It does however make it easier to see where the same code has been
cut/paste. There is some stuff in the various Orion mach- directories
which is repeated 4 times. The Armada XP port wanted to add a 5th
copy. All this repeated code needs to be put into plat-orion.

      Andrew